## org.hibernate.event
Class AutoFlushEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.FlushEvent
              org.hibernate.event.AutoFlushEvent

All Implemented Interfaces:
  Serializable

    public class AutoFlushEvent

extends FlushEvent

Defines an event class for the auto-flushing of a session.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`AutoFlushEvent(Set querySpaces, EventSource source)`

Method Summary
`Set` `getQuerySpaces()`
`boolean` `isFlushRequired()`
`void` `setFlushRequired(boolean dirty)`
`void` `setQuerySpaces(Set querySpaces)`

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoFlushEvent

    public AutoFlushEvent(Set querySpaces,
                          EventSource source)

Method Detail

### getQuerySpaces

    public Set getQuerySpaces()

### setQuerySpaces

    public void setQuerySpaces(Set querySpaces)

### isFlushRequired

    public boolean isFlushRequired()

### setFlushRequired

    public void setFlushRequired(boolean dirty)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.